package com.ruoyi.qdtl.mapper;

import com.ruoyi.qdtl.domain.TlInspectionDeviceTrail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备轨迹Mapper接口
 *
 * @author ruoyi
 * @date 2022-03-12
 */
public interface TlInspectionDeviceTrailMapper {
    /**
     * 查询设备轨迹
     *
     * @param id 设备轨迹主键
     * @return 设备轨迹
     */
    public TlInspectionDeviceTrail selectTlInspectionDeviceTrailById(Long id);

    /**
     * 查询设备轨迹列表
     *
     * @param tlInspectionDeviceTrail 设备轨迹
     * @return 设备轨迹集合
     */
    public List<TlInspectionDeviceTrail> selectTlInspectionDeviceTrailList(TlInspectionDeviceTrail tlInspectionDeviceTrail);

    /**
     * 新增设备轨迹
     *
     * @param tlInspectionDeviceTrail 设备轨迹
     * @return 结果
     */
    public int insertTlInspectionDeviceTrail(TlInspectionDeviceTrail tlInspectionDeviceTrail);

    /**
     * 修改设备轨迹
     *
     * @param tlInspectionDeviceTrail 设备轨迹
     * @return 结果
     */
    public int updateTlInspectionDeviceTrail(TlInspectionDeviceTrail tlInspectionDeviceTrail);

    /**
     * 删除设备轨迹
     *
     * @param id 设备轨迹主键
     * @return 结果
     */
    public int deleteTlInspectionDeviceTrailById(Long id);

    /**
     * 批量删除设备轨迹
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTlInspectionDeviceTrailByIds(Long[] ids);

    List<TlInspectionDeviceTrail> selectListByDate(@Param("date") String date);
}
