package com.ruoyi.qdtl.service;

import com.ruoyi.qdtl.domain.TlInspectionDeviceTrail;

import java.util.List;

/**
 * 设备轨迹Service接口
 *
 * @author ruoyi
 * @date 2022-03-12
 */
public interface ITlInspectionDeviceTrailService {
    /**
     * 查询设备轨迹
     *
     * @param id 设备轨迹主键
     * @return 设备轨迹
     */
    public TlInspectionDeviceTrail selectTlInspectionDeviceTrailById(Long id);

    /**
     * 查询设备轨迹列表
     *
     * @param tlInspectionDeviceTrail 设备轨迹
     * @return 设备轨迹集合
     */
    public List<TlInspectionDeviceTrail> selectTlInspectionDeviceTrailList(TlInspectionDeviceTrail tlInspectionDeviceTrail);

    /**
     * 新增设备轨迹
     *
     * @param tlInspectionDeviceTrail 设备轨迹
     * @return 结果
     */
    public int insertTlInspectionDeviceTrail(TlInspectionDeviceTrail tlInspectionDeviceTrail);

    /**
     * 修改设备轨迹
     *
     * @param tlInspectionDeviceTrail 设备轨迹
     * @return 结果
     */
    public int updateTlInspectionDeviceTrail(TlInspectionDeviceTrail tlInspectionDeviceTrail);

    /**
     * 批量删除设备轨迹
     *
     * @param ids 需要删除的设备轨迹主键集合
     * @return 结果
     */
    public int deleteTlInspectionDeviceTrailByIds(Long[] ids);

    /**
     * 删除设备轨迹信息
     *
     * @param id 设备轨迹主键
     * @return 结果
     */
    public int deleteTlInspectionDeviceTrailById(Long id);

    List<TlInspectionDeviceTrail> selectListByDate(String date);

    /**
     * 查询巡检里程数
     *
     * @param date     日期
     * @param deviceId 设备id
     * @return
     */
    double queryDistance(String date, String deviceId);
}
